## lefse 0.1

=== DESCRIPTION ===
Package: lefse
Type: Package
Title: Phylogenetic and Functional Analyses for Ecology
Version: 0.1
Date: 2014-09-04
Author: Nathan G. Swenson
Maintainer: Nathan G. Swenson <swensonn@msu.edu>
Description: Utilizing phylogenetic and functional information for the analyses of ecological datasets. The analyses include methods for quantifying the phylogenetic and functional diversity of assemblages.
License: GPL-2 | GPL-3
Depends: R (>= 2.10)
Imports: ape, picante, geiger, fBasics, SDMTools, vegan
Packaged: 2014-09-05 10:37:55 UTC; nathanswenson
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-11 21:03:26

## lefse 1.0+20160802

=== debian/changelog ===
lefse (1.0+20160802-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2016 08:21:37 +0200

lefse (1.0+20160802-1) unstable; urgency=medium

  * Initial release (Closes: #833359)

 -- Andreas Tille <tille@debian.org>  Wed, 03 Aug 2016 15:30:03 +0200

## lefse 1.0.8

=== requirements.txt ===

- R
- R libraries: splines, stats4, survival, mvtnorm, modeltools, coin, MASS
- python libraries: rpy2 (v. 2.1 or higher), numpy, matplotlib (v. 1.0 or higher), argparse

=== debian/changelog ===
lefse (1.0.8-1) unstable; urgency=medium

  * Upstream added version tags - fixed watch file and adapt version
    number - no code change

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2017 11:00:23 +0100

=== debian/control ===
Source: lefse
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               dh-python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/lefse.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/lefse.git
Homepage: https://bitbucket.org/biobakery/biobakery/wiki/lefse

Package: lefse
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: determine features of organisms, clades, taxonomic units, genes
 LEfSe (Linear discriminant analysis Effect Size) determines the features
 (organisms, clades, operational taxonomic units, genes, or functions)
 most likely to explain differences between classes by coupling standard
 tests for statistical significance with additional tests encoding
 biological consistency and effect relevance.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
DESTDIR=debian/lefse/usr/share/lefse

%:
	dh $@  --with python2

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	cp -r lefsebiom $(DESTDIR)/
	for i in format_input lefse2circlader plot_cladogram plot_features plot_res qiime2lefse run_lefse;\
       	do\
		cp $$i.py $(DESTDIR)/$$i;\
		dh_link /usr/share/lefse/$$i /usr/bin/$$i;\
	done

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/*/usr/share/lefse/lefsebiom/*.py

=== debian/watch ===
version=4

https://bitbucket.org/nsegata/lefse/downloads?tab=tags .*/(\d[\d.]+)\.tar\.gz

## lefse 1.1.2

=== requirements.txt ===
- R (v. 3.6 or higher)
- R libraries: survival, mvtnorm, modeltools, coin, MASS
- python libraries: rpy2 (v. 2.1 or higher), numpy, matplotlib (v. 1.0 or higher), scipy, cython, biom-format

=== debian/changelog ===
lefse (1.1.2-2) unstable; urgency=medium

  * Correct patch header metadata
  * Fix typos in manpages
  * Add patch to fix syntaxwarnings (Closes: #1085666)
  * Bump standards version to 4.7.0 (no changes needed)

 -- Ananthu C V <weepingclown@disroot.org>  Thu, 05 Dec 2024 00:44:55 +0530

lefse (1.1.2-1) unstable; urgency=medium

  * Fix Homepage
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/rules:
     - buildsystem=pybuild
     - remove unneeded overrides
  * Build-Depends: python3-setuptools
  * Remove debian/get-orig-source
  * lintian-overrides: script-with-language-extension
  * Fix script names in autopkgtest
  * Inform users about changed names in debian/NEWS

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 08:23:43 +0200

lefse (1.0.8-3) unstable; urgency=medium

  [ Shayan Doust ]
  * Team upload.
  * use 2to3 to port from python2 to python3
    Closes: #936836
  * Include an autopkgtest

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Fix installation of lefse.py
  * Depends: python3-rpy2, r-cran-coin, python3-matplotlib
  * Add manpages

 -- Shayan Doust <hello@shayandoust.me>  Mon, 09 Sep 2019 21:01:50 +0200

lefse (1.0.8-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 12:50:30 +0200

=== debian/control ===
Source: lefse
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/lefse
Vcs-Git: https://salsa.debian.org/med-team/lefse.git
Homepage: https://github.com/SegataLab/lefse
Rules-Requires-Root: no

Package: lefse
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-rpy2,
         r-cran-coin,
         python3-matplotlib
Description: determine features of organisms, clades, taxonomic units, genes
 LEfSe (Linear discriminant analysis Effect Size) determines the features
 (organisms, clades, operational taxonomic units, genes, or functions)
 most likely to explain differences between classes by coupling standard
 tests for statistical significance with additional tests encoding
 biological consistency and effect relevance.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME=lefse

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installman:
	dh_installman --language=C
